Skip to content
Proud to collaborate with Microsoft for Startups

xero.tracking-categories.create-tracking-category ​

Create tracking categories

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-xero
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Xero API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
xero_tenant_idstringYes—Xero identifier for Tenant
idempotency_keystringNo—This allows you to safely retry requests without the risk of duplicate processing. 128 character max.
trackingcategoryidstringNo—The Xero identifier for a tracking category e.g. 297c2dc5-cc47-4afd-8ec8-74990b8761e9
trackingoptionidstringNo—The Xero identifier for a tracking option e.g. dc54c220-0140-495a-b925-3246adc0075f
namestringNo—The name of the tracking category e.g. Department, Region (max length = 100)
optionstringNo—The option name of the tracking option e.g. East, West (max length = 100)
statusstringNo—The status of a tracking category
optionslistNo—See Tracking Options

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Xero API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
xero_tenant_idstringYes—Xero identifier for Tenant
idempotency_keystringNo—This allows you to safely retry requests without the risk of duplicate processing. 128 character max.
trackingcategoryidstringNo—The Xero identifier for a tracking category e.g. 297c2dc5-cc47-4afd-8ec8-74990b8761e9
trackingoptionidstringNo—The Xero identifier for a tracking option e.g. dc54c220-0140-495a-b925-3246adc0075f
namestringNo—The name of the tracking category e.g. Department, Region (max length = 100)
optionstringNo—The option name of the tracking option e.g. East, West (max length = 100)
statusstringNo—The status of a tracking category
optionslistNo—See Tracking Options
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /TrackingCategories
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /TrackingCategories
* (any state)failfailedRecord the failure reason

Outcomes ​

OutcomeTypeDescriptionState Data Keys
completedSUCCESSThe provider accepted the requeststatus_code, response
failedFAILUREThe provider rejected the request or was unreachablefailure_reason, failure_type, status_code

Business Errors ​

CodeMessage Template
HTTP_AUTHENTICATION_FAILEDThe provider rejected the credential (HTTP {status_code})
HTTP_AUTHORIZATION_FAILEDThe credential is not permitted to perform this operation (HTTP {status_code})
HTTP_NOT_FOUNDThe provider has no resource at {path} (HTTP 404)
HTTP_RATE_LIMITEDThe provider rate-limited this request (HTTP 429)
HTTP_REQUEST_FAILEDThe provider returned HTTP {status_code} for {method}
HTTP_RESPONSE_SHAPE_UNEXPECTEDThe provider response for {method} {path} could not be parsed as JSON

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "xero.tracking-categories.create-tracking-category",
  "initial_data": {
    "base_url": "value",
    "xero_tenant_id": "value"
  }
}